<?php

	//	é

	class FormulairesZebraForm extends ListeZebraForm {
	
		protected $elements;
		
		public function __construct() {
		
			$this->elements = array();
		}
		
		/***
		 *	(boolean) ajouter( [(string) $cle = ''] , [(string) $valeur = ''] )
		 *
		 *	Ajoute un élément dans la Liste si non présent.
		 *	Si déjà présent, n'écrase pas.
		**/
		public function ajouter( $cle = "", $fond = "" , $action = "", $titre = "" ) {
			
			global $config;
			
			$valide = false;
			if ( $cle != '' ) {
			
				if ( !isset( $this->elements[$cle] ) ) {
					
					$urlFormulaire = __DIR__ . "/../formulaires/Formulairezebraform" . $cle . ".php";
					
					if ( file_exists( $urlFormulaire ) ) {
						
						$valide = true;
						
						include_once( $urlFormulaire );
						
						$nomClasseFormulaire = "FormulaireZebraForm" . ucfirst( $cle ) ;
						$this->elements[$cle] = new $nomClasseFormulaire( $cle, $fond, $action, $titre );
					}
				}
			}
			
			return $valide;
		}
		
		/***
		 *	(boolean) definir( [(string) $key = ''] , [(string) $value = ''] )
		 *
		 *	On empêche l'écrasement
		**/
		public function definir( $libelle , $fond = "" , $action = "", $titre = '' ) {
			
			$libelle = strtolower( $libelle );
			
			if ( $this->ajouter( $libelle, $fond, $action, $titre ) ) {
			
				return $this->get( $libelle );
			}
			
			return false;
		}
		
	}
	