<?php

	//	é

	class ListeZebraForm {
		
		protected $elements;
		
		public function __construct( $elements = null ) {
			
			if ( $elements !== null && is_array( $elements ) ) {
			
				$this->elements = $elements;
			}
			else {
			
				$this->elements = array();
			}
		}
		
		/***
		 *	(boolean) add( [(string) $key = ''] , [(string) $value = ''] )
		 *
		 *	Alias de ajouter.
		**/
		public function add( $cle = '' , $valeur = '' ) {
			
			return $this->ajouter( $cle , $valeur );
		}
		
		/***
		 *	(boolean) ajouter( [(string) $cle = ''] , [(string) $valeur = ''] )
		 *
		 *	Ajoute un élément dans la Liste si non présent.
		 *	Si déjà présent, n'écrase pas.
		**/
		public function ajouter( $cle = '' , $valeur = '' ) {
			
			$valide = false;
			if ( $cle != '' ) {
			
				if ( !isset( $this->elements[$cle] ) ) {
					
					$valide = true;
					$this->elements[$cle] = $valeur;
				}
			}
			
			return $valide;
		}
		
		/***
		 *	(boolean) set( [(string) $key = ''] , [(string) $value = ''] )
		 *
		 *	Alias de définir.
		**/
		public function set( $cle = '' , $valeur = '' ) {
		
			return $this->definir( $cle , $valeur );
		}
		
		/***
		 *	(boolean) definir( [(string) $key = ''] , [(string) $value = ''] )
		 *
		 *	Ajoute ou écrase un élément de la Liste.
		**/
		public function definir( $cle = '' , $valeur = '' ) {
		
			$valide = false;
			if ( $cle != '' ) {
			
				$valide = true;
				$this->elements[$cle] = $valeur;
			}
			
			return $valide;
		}
		
		/***
		 *	(boolean) setMultiple( [(array) $elements = array()] , [(boolean) $exclusif = false] )
		 *
		 *	Ajoute ou écrase les éléments fournit dans un tableau.
		**/
		public function setMultiple( $elements = array() , $exclusif = false ) {
		
			$valide = false;
			if ( is_array( $elements ) ) {
			
				$valide = true;
				
				foreach ( $elements as $clef => $valeur ) {
				
					if ( $exclusif ) {
					
						if ( isset( $this->elements[ $clef ] ) ) {
					
							$this->set( $clef , $valeur );
						}
					}
					else {
					
						$this->set( $clef , $valeur );
					}
				}
			}
			
			return $valide;
		}
		
		/***
		 *	(mixed) get( [(string) $key = ''] )
		 *
		 *	Récupère un élément de la liste.
		**/
		public function get( $key = '' , $valeurDefaut = '' ) {
		
			if ( $key != '' ) {
			
				if ( isset( $this->elements[ $key ] ) ) {
				
					return $this->elements[ $key ];
				}
			}
			return $valeurDefaut;
		}
		
		/***
		 *	(boolean) supprimer( [(string) $key = ''] )
		 *
		 *	Supprime un élément de la liste et renvoit sa valeur.
		**/
		public function supprimer( $key = '' ) {
		
			if ( $key != '' ) {
			
				if ( isset( $this->elements[ $key ] ) ) {
				
					$value = $this->elements[ $key ];
					unset( $this->elements[ $key ] );
					return $value;
				}
			}
			return '';
		}
		
		public function getElements() {
		
			return $this->elements;
		}
		
		public function implode( $caractereSeparateur = ',' ) {
		
			if ( is_array( $this->elements ) ) {
			
				return implode( $caractereSeparateur , $this->elements );
			}
			return '';
		}
		
		public function taille() {
			
			return count( $this->elements );
		}
		
		//	Méthode Alias de taille()
		public function size() {
			
			return $this->taille();
		}
		
		public function template( $clef = '' , $contenu = '' , $contenuDefaut = '' ) {
		
			if ( $this->get( $clef ) != '' ) {
			
				return $contenu;
			}
			else {
			
				return $contenuDefaut;
			}
		}
	}

