<?php
	
	//	é
	
	class FormulaireZebraFormReservation extends FormulaireZebraForm {
	
		public function __construct( $libelle, $fond = "", $action = "", $titre = "" ) {
			
			parent::__construct( $libelle, $fond, $action, $titre );
		}
		
		public function champs() {
		
			//	On force l'action mais on laisse le choix du fond à l'intégrateur
			//	$this->fond = "";
			$this->action = "reserver";
		
			if ( parent::champs() ) {
				
				//	"login"
				$this->formulaire->add( 'label' , 'pseudo_label' , 'pseudo' , 'login' );
				$champ = $this->formulaire->add( 'text' , 'pseudo' , '' , array( 'autocomplete' => 'on', 'tabindex' => "1" ) );
				$champ->set_rule( array(
					'required'  =>  array('error', 'Votre login est requis!')
				));
				
				//	name
				$this->formulaire->add('label', 'label_name', 'name', 'Your name:');
				$champ = $this->formulaire->add('text', 'name');
				$champ->set_rule(array(
					'required' => array('error', 'Name is required!')
				));

				// "email"
				$this->formulaire->add('label', 'label_email', 'email', 'Your email address:');
				$champ = $this->formulaire->add('text', 'email');
				$champ->set_rule(array(
					'required'  =>  array('error', 'Email is required!'),
					'email'     =>  array('error', 'Email address seems to be invalid!'),
				));

				// "department"
				$this->formulaire->add('label', 'label_department', 'department', 'Department:');
				$champ = $this->formulaire->add('select', 'department', '', array('other' => true));
				$champ->add_options(array(
					'Marketing',
					'Operations',
					'Customer Service',
					'Human Resources',
					'Sales Department',
					'Accounting Department',
					'Legal Department',
				));
				$champ->set_rule(array(
					'required' => array('error', 'Department is required!')
				));

				// "room"
				$this->formulaire->add('label', 'label_room', 'room', 'Which room would you like to reserve:');
				$champ = $this->formulaire->add('radios', 'room', array(
					'A' =>  'Room A',
					'B' =>  'Room B',
					'C' =>  'Room C',
				));
				$champ->set_rule(array(
					'required' => array('error', 'Room selection is required!')
				));

				// "extra"
				$this->formulaire->add('label', 'label_extra', 'extra', 'Extra requirements:');
				$champ = $this->formulaire->add('checkboxes', 'extra[]', array(
					'flipchard'     =>  'Flipchard and pens',
					'plasma'        =>  'Plasma TV screen',
					'beverages'     =>  'Coffee, tea and mineral water',
				));

				// "date"
				$this->formulaire->add('label', 'label_date', 'date', 'Reservation date');
				$champ = $this->formulaire->add('date', 'date');
				$champ->set_rule(array(
					'required'      =>  array('error', 'Date is required!'),
					'date'          =>  array('error', 'Date is invalid!'),
				));
				
				$this->listeChamps->set( 'date', $champ );

				// date format
				// don't forget to use $this->listeChamps->get('date')->get_date() if the form is valid to get the date in YYYY-MM-DD format ready to be used
				// in a database or with PHP's strtotime function!
				$champ->format('M d, Y');
				
				// selectable dates are starting with the current day
				$champ->direction(1);

				$this->formulaire->add('note', 'note_date', 'date', 'Date format is M d, Y');

				// "time"
				$this->formulaire->add('label', 'label_time', 'time', 'Reservation time :');
				$this->formulaire->add('time', 'time', '', array(
					'hours'     =>  array(9, 10, 11, 12, 13, 14, 15, 16, 17),
					'minutes'   =>  array(0, 30),
				));

				// "submit"
				$this->formulaire->add('submit', 'btnsubmit', 'Submit');
			}
		}
		
		public function valider() {
		
			if ( parent::valider() ) {
			
				if ( $this->formulaire->validate() ) {
				
					/*	Traitement du formulaire ici	*/
					
					if ( true ) {
						
						$this->message = "Votre réservation a été prise en compte, à très bientôt !";
					}
					else {
					
						$this->formulaire->add_error('error', "Une erreur est survenue dans votre saisie.");
					}
				}
			}
		}
	}

